Page MenuHomePhabricator

API: allow listing of files uploaded by user
Closed, ResolvedPublic

Description

In addition to r65013: Please allow listing of files per user.

Maybe add a aiuser to list=allimages.

Thanks.


Version: 1.18.x
Severity: enhancement
See Also:
https://bugzilla.wikimedia.org/show_bug.cgi?id=65121

Details

Reference
bz26872

Event Timeline

bzimport raised the priority of this task from to Lowest.Nov 21 2014, 11:19 PM
bzimport set Reference to bz26872.

Changing summary (to avoid confusion with "listing files by author")

Bryan.TongMinh wrote:

Somebody who has knowledge about how mysql handles indices needs to look into this. I don't know if MySQL is able to merge three indices to make the required query sane.

(In reply to comment #2)

Somebody who has knowledge about how mysql handles indices needs to look into
this. I don't know if MySQL is able to merge three indices to make the required
query sane.

There is no such thing as merging indices.

There is an index on (img_user_text, img_timestamp), we could use that. However, we'd have to sort and page by timestamp instead of name (kind of annoying since timestamps aren't necessarily unique), and we couldn't support any other limiting parameters (aisha1, aiprefix, etc.) in combination with aiuser.

Bryan.TongMinh wrote:

(In reply to comment #3)

(In reply to comment #2)

Somebody who has knowledge about how mysql handles indices needs to look into
this. I don't know if MySQL is able to merge three indices to make the required
query sane.

There is no such thing as merging indices.

Well, then we're pretty screwed already, as we are sorting by img_name and have conditions on img_size, which are two separate indices.

We should first make sure that img_name is included in all indices.

(In reply to comment #4)

We should first make sure that img_name is included in all indices.

tracking to bug 22744, maybe someone has time to look at the indices.

  • Bug 33589 has been marked as a duplicate of this bug. ***
  • Bug 35613 has been marked as a duplicate of this bug. ***
Rillke added a comment.Apr 3 2013, 9:09 AM

Here I am going to provide some more use cases:
To create

  • A gallery the files uploaded by one user
  • A slideshow of files uploaded by one user

To enhance

  • The mobile App's feature "My Uploads" see Bug 46839
Qgil added a comment.Apr 8 2014, 3:35 PM

Request filed years ago, silent during the past year. Setting priority to Lowest in order to reflect the current situation.

Rillke added a comment.Apr 8 2014, 4:38 PM

(In reply to Quim Gil from comment #9)

Request filed years ago, silent during the past year.

Perhaps because there is now
https://commons.wikimedia.org/w/api.php?action=query&list=allimages&aiuser=Rillke&aisort=timestamp

I don't know whom to thank but ... Thank you!

Qgil added a comment.Apr 8 2014, 5:02 PM

Just to be sure, you mean that this report has been FIXED?

Marking as such, please revert if I was too optimistic. Also, does anybody know in which release was this fixed?

Was added with gerrit 23984 along with aisort=timestamp

(In reply to Quim Gil from comment #9)

Request filed years ago, silent during the past year.

Unfortunately there are many bugs without actions in the past years ...